Page MenuHomePhabricator

1.36.0-wmf.25 deployment blockers
Closed, ResolvedPublicRelease

Details

Other Assignee
hashar
Release Version
1.36.0-wmf.25
Release Date
Jan 4 2021, 12:00 AM

2021 week 01 1.36-wmf.25 Changes wmf/1.36.0-wmf.25

This MediaWiki Train Deployment is scheduled for the week of Monday, January 4th:

Monday January 4thTuesday, January 5thWednesday, January 6thThursday, January 7thFriday
Backports only.Branch wmf.25 and deploy to Group 0 Wikis.Deploy wmf.25 to Group 1 Wikis.Deploy wmf.25 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.25 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.36.0-wmf.24
Next: 1.36.0-wmf.26

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: hashar.

Change 654350 had a related patch set uploaded (by Jforrester; owner: trainbranchbot):
[mediawiki/core@wmf/1.36.0-wmf.25] Branch commit for wmf/1.36.0-wmf.25

https://gerrit.wikimedia.org/r/654350

Change 654350 merged by jenkins-bot:
[mediawiki/core@wmf/1.36.0-wmf.25] Branch commit for wmf/1.36.0-wmf.25

https://gerrit.wikimedia.org/r/654350

Change 654472 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] testwikis wikis to 1.36.0-wmf.25 refs T267418

https://gerrit.wikimedia.org/r/654472

Change 654472 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.36.0-wmf.25 refs T267418

https://gerrit.wikimedia.org/r/654472

Mentioned in SAL (#wikimedia-operations) [2021-01-05T18:22:50Z] <jhuneidi@deploy1001> Started scap: testwikis wikis to 1.36.0-wmf.25 refs T267418

Mentioned in SAL (#wikimedia-operations) [2021-01-05T18:59:04Z] <jhuneidi@deploy1001> Finished scap: testwikis wikis to 1.36.0-wmf.25 refs T267418 (duration: 39m 07s)

Change 654493 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.25 refs T267418

https://gerrit.wikimedia.org/r/654493

Change 654493 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.25 refs T267418

https://gerrit.wikimedia.org/r/654493

Mentioned in SAL (#wikimedia-operations) [2021-01-05T20:50:43Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.36.0-wmf.25 refs T267418

I've added T271266 as blocker too but feel free to revert if anyone disagrees

Ladsgroup added a subscriber: Ladsgroup.

Regarding T271259: Database query error when viewing non-existent pages on mediawiki.org, fixing might put a little of performance pressure on the database, let me know if rolling it out to everywhere causes issues in database performance.

Please do this back port https://gerrit.wikimedia.org/r/c/mediawiki/core/+/654456 when rolling the train forward. Not strictly a blocker, but will break the continuity of metrics.

Change 654673 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.25 refs T267418

https://gerrit.wikimedia.org/r/654673

Change 654673 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.25 refs T267418

https://gerrit.wikimedia.org/r/654673

Mentioned in SAL (#wikimedia-operations) [2021-01-06T21:10:27Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.36.0-wmf.25 refs T267418

Change 654674 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group1 wikis to 1.36.0-wmf.25 refs T267418

https://gerrit.wikimedia.org/r/654674

Change 654674 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.36.0-wmf.25 refs T267418

https://gerrit.wikimedia.org/r/654674

Mentioned in SAL (#wikimedia-operations) [2021-01-06T21:22:56Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.36.0-wmf.25 refs T267418

Mentioned in SAL (#wikimedia-operations) [2021-01-06T21:23:59Z] <jhuneidi@deploy1001> Synchronized php: group1 wikis to 1.36.0-wmf.25 refs T267418 (duration: 01m 04s)

Change 654919 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] all wikis to 1.36.0-wmf.25 refs T267418

https://gerrit.wikimedia.org/r/654919

Change 654919 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.36.0-wmf.25 refs T267418

https://gerrit.wikimedia.org/r/654919

Mentioned in SAL (#wikimedia-operations) [2021-01-07T20:08:35Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.36.0-wmf.25 refs T267418

Change 654932 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] all wikis to 1.36.0-wmf.25 refs T267418

https://gerrit.wikimedia.org/r/654932

Change 654932 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.36.0-wmf.25 refs T267418

https://gerrit.wikimedia.org/r/654932

Mentioned in SAL (#wikimedia-operations) [2021-01-07T22:12:57Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.36.0-wmf.25 refs T267418

The blocker task T271365 had the code reverted. It still need some tweaking but not worth a roll back of the train again.

We had a slight issue yesterday as labweb1002 was being reimaged while it was still pooled / defined as a target. Not the end of the world but that has lead to some confusion.